PORTBUMP(1)

NAME
portbump - tweaks port revisions and library versions

SYNOPSIS
portbump [-lMmnrv] [-W wlib] [-w wlib] [portref ...]

portbump -o file [-lMmnrv] [-W addlib] [-w rmlib] [portref ...]

DESCRIPTION
portbump is used to increase ('bump') REVISION and SHARED_LIBS values in OpenBSD ports. It also can remove REVISION marks and add, update or remove WANTLIB items.

portref has the same syntax as FULLPKGPATH port variable, see bsd.port.mk(5). Actually, you can feed a list of pkgpaths as parameters; flavor information will be ignored. portbump doesn't care about actual subdirectory portion of portref, so you can freely pass ~., ../foo or anything else like this.

If subpackage is not specified in port reference, then all subpackages of a port will be processed. If no port references are given, the port in current directory will be processed.

Default mode of operation is increasing REVISION mark values ( -r). Operations on REVISION marks and on SHARED_LIBS could be combined by explicit specifying corresponding flags, see below.

The following options are available:

-d  Delete all REVISION marks in Makefile. Mutually exclusive with -r.

-l  Recreate all WANTLIB items based on output of ‘make port-lib-depends-check’. If used twice or more, the ‘make lib-depends-check’ will be used instead. The -l mode is incompatible with -W and -w.

-M  Increment by one major component of all SHARED_LIBS, resetting minor one to zero if needed. Mutually exclusive with -m.

-m  Increment by one minor component of all SHARED_LIBS. Mutually exclusive with -M.

-n  Do not replace Makefile but save modified version in the Makefile.bump instead.

-o file
    Send modified Makefile contents to a given file instead of creating Makefile.bump in port's directory. This could be only used if not more than one port is specified; multiple subpackages of a single port could be specified, though.

-r  Increment REVISION values for all subpackages, or only for given ones. Mutually exclusive with -d.

-W wlib

-w wlib
    Adds or updates (the -W flag) or removes (the -w flag) WANTLIB items in whole port, or in particular subpackages, if given. Both options could be specified multiple times, accumulating corresponding lists. The WANTLIB entries will be fully re-generated based on previous contents. Those modes are incompatible with -l.

-v  Enable printing of diagnostic messages to standard error output.

HISTORY
portbump first appeared in OpenBSD 5.6.